
Foreman - Bug #4643

Retrieving Optional LDAP attributes fails with "interning empty string" on 1.8.7

03/12/2014 03:07 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Authentication   

Target version: 1.5.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Need to check if value is blank before checking entry[value].empty?

[3] pry(#<AuthSourceLdap>)> entry[value].empty?

ArgumentError: interning empty string

from /home/dcleal/.rvm/gems/ruby-1.8.7-p374@foreman/gems/net-ldap-0.3.1/lib/net/ldap/entry.rb:88:i

n `to_sym'

Associated revisions

Revision b7f90cc0 - 03/13/2014 10:44 AM - Stephen Benjamin

fixes #4643 - Retrieving Optional LDAP attributes fails on 1.8.7

History

#1 - 03/12/2014 04:48 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1294

#2 - 03/13/2014 11:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b7f90cc0df05e828d7f9c12bd83c230e86f25760.
